petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDSSetImplicit

Set the flag for implicit solve for this field. This is just a guide for IMEX

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetImplicit(PetscDS prob, PetscInt f, PetscBool implicit)

Not collective

### Input Parameters

| prob | - The PetscDS object
| f | - The field number
| implicit | - The flag indicating what kind of solve to use for this field

### See Also

PetscDSGetImplicit(), PetscDSSetDiscretization(), PetscDSAddDiscretization(), PetscDSGetBdDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

Level:developer
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages